% Esercizio 3

% Comportamento della funzione data f in un intervallo vicino a 0
x_sol = 1; % soluzione attesa
n = linspace(-1e-10,1e-10,1000); % intervallo vicino allo 0
f = @(n) (((1+n)-1)./n); % funzione f
y = f(n);
err_ass = abs(y-x_sol); % errore assoluto
err_rel = err_ass/abs(x_sol); % errore relativo
% Visualizzazione della funzione
figure(1);
plot(n,y,'b',n,ones(length(n),1),'r');
xlabel('n');
ylabel('y');
% Visualizzazione dell'errore relativo
figure(2);
plot(n,err_rel);
xlabel('n')
ylabel('Errore Relativo')
% Osserviamo grazie ai grafici che con quando n tende a zero il valore
% di y si discosta sempre piu' da 1 e aumenta l'errore commesso a causa del
% fenomeno della cancellazione numerica